|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Public Types | Public Member Functions | Static Public Member Functions
gameplay::DepthStencilTarget Class Reference

`#include <DepthStencilTarget.h>`

Inheritance diagram for gameplay::DepthStencilTarget:

List of all members.

## Public Types

enum | Format { DEPTH, DEPTH_STENCIL }

## Public Member Functions

const char * | getId () const
Format | getFormat () const
unsigned int | getWidth () const
unsigned int | getHeight () const
bool | isPacked () const

## Static Public Member Functions

static DepthStencilTarget * | create (const char *id, Format format, unsigned int width, unsigned int height)
static DepthStencilTarget * | getDepthStencilTarget (const char *id)

## Detailed Description

Defines a container for depth and stencil targets in a frame buffer object.

## Member Enumeration Documentation

enum gameplay::DepthStencilTarget::Format

Defines the accepted formats for DepthStencilTargets.

Enumerator:

  DEPTH | A target with depth data.
  DEPTH_STENCIL | A target with depth data and stencil data.

## Member Function Documentation

static DepthStencilTarget* gameplay::DepthStencilTarget::create | ( | const char * | id,
|  | Format | format,
|  | unsigned int | width,
|  | unsigned int | height
| ) |  | `[static]`

Create a DepthStencilTarget and add it to the list of available DepthStencilTargets.

Parameters:

  id | The ID of the new DepthStencilTarget. Uniqueness is recommended but not enforced.
  format | The format of the new DepthStencilTarget.
  width | Width of the new DepthStencilTarget.
  height | Height of the new DepthStencilTarget.

Returns:
  A newly created DepthStencilTarget.

static DepthStencilTarget* gameplay::DepthStencilTarget::getDepthStencilTarget | ( | const char * | id | ) | `[static]`

Get a named DepthStencilTarget from its ID.

Parameters:

  id | The ID of the DepthStencilTarget to search for.

Returns:
  The DepthStencilTarget with the specified ID, or NULL if one was not found.

Format gameplay::DepthStencilTarget::getFormat | ( |  | ) | const

Returns the format of the DepthStencilTarget.

Returns:
  The format.

unsigned int gameplay::DepthStencilTarget::getHeight | ( |  | ) | const

Returns the height of the DepthStencilTarget.

Returns:
  The height.

const char* gameplay::DepthStencilTarget::getId | ( |  | ) | const

Get the ID of this DepthStencilTarget.

Returns:
  The ID of this DepthStencilTarget.

unsigned int gameplay::DepthStencilTarget::getWidth | ( |  | ) | const

Returns the width of the DepthStencilTarget.

Returns:
  The width.

bool gameplay::DepthStencilTarget::isPacked | ( |  | ) | const

Returns true if depth and stencil buffer are packed.

Returns:
  The packed state.

All Classes Functions Variables Typedefs Enumerations Enumerator